
GammaLib - Bug #2172

Pulsar event simulation does not correspond to model

07/28/2017 09:37 AM - Knödlseder Jürgen

Status: Closed Start date: 07/28/2017

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.4.0   

Description

Using the model

 <source name="J0835-4510" type="PointSource">

    <spectrum type="PowerLaw">

       <parameter name="Prefactor"   scale="1e-14" value="19.4" min="1e-07" max="1000.0" free="1"/>

       <parameter name="Index"       scale="-1"    value="4.45" min="0.0"   max="+10.0"  free="1"/>

       <parameter name="PivotEnergy" scale="1e3"   value="20.0" min="0.01"  max="1000.0" free="0"/>

    </spectrum>

    <spatialModel type="SkyDirFunction">

      <parameter free="0" max="360" min="-360" name="RA"  scale="1" value="128.838"  />

      <parameter free="0" max="90"  min="-90"  name="DEC" scale="1" value="-45.1783" />

    </spatialModel>

    <temporal type="PhaseCurve" file="phasecurve_J0835-4510.fits">

      <parameter name="Normalization" scale="1"         value="1.0"     min="0.0"   max="1000.0"   free="0"/>

      <parameter name="MJD"           scale="1"         value="54686.2" min="0.0"   max="100000.0" free="0"/>

      <parameter name="Phase"         scale="1"         value="0.0"     min="0.0"   max="1.0"      free="0"/>

      <parameter name="F0"            scale="1"         value="11.19"   min="0.0"   max="1000.0"   free="0"/>

      <parameter name="F1"            scale="1e-11"     value="-1.55"   min="-10.0" max="1000.0"   free="0"/>

      <parameter name="F2"            scale="1e-23"     value="6.46"    min="0.0"   max="1000.0"   free="0"/>

    </temporal>

  </source>

the simulated events do not correspond to the input light curve:  

History

#1 - 07/28/2017 09:47 AM - Knödlseder Jürgen

- File vela_nonorm.png added

- File vela_reproduce.png added

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

- Target version set to 1.4.0

Below a comparison of the simulated events without (left) and with (right) normalization. Apparently something goes wrong with the normalization.

The number of events simulated without normalization is 163, the number of events with normalization is 1004, the difference is about a factor of 6.
#2 - 07/28/2017 10:04 AM - Knödlseder Jürgen

- File vela_correct.png added

- % Done changed from 0 to 70

There was a scale factor missing in the Monte Carlo simulations due to the normalization of the phase curve. Adding this scale factor the following

phase curve is obtained. The number of simulated events is 2144, corresponding to a ratio of 13.15 with respect to the non-normalized phase curve.

The scale factor from normalization is 13.41, hence pretty close to that.

 

#3 - 07/31/2017 11:02 PM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 70 to 100

The GPS is now file, close the issue.
